/*************************************************************************
 *
 *
 *    (c) Copyright Olimex 2009
 *
 *    File name   : taskTest.h
 *    Description : This task is for testing purposes and to indicate that RTOS is working properly
 *
 *    History :
 *    1. Date        : 26 June 2009
 *       Author      : Aleksandar Mitev
 *       Description : Create
 *
 **************************************************************************/
 
#ifndef _TEST_TASK
#define _TEST_TASK

/* DEFINE TYPES HERE */

// define modules that will be tested
typedef enum _PROD_TEST_TYPE {
	PROD_TEST_NONE = 0x00,
	PROD_TEST_EXTCON,
	PROD_TEST_USBOTG,
	PROD_TEST_CAN
} PROD_TEST_TYPE;

/* DECLARATION OF FUNCTIONS */

// These are used by the task that prints
void vTaskTestStartTest(PROD_TEST_TYPE testType);
void vTaskTestContinueTest(void);
BOOL vTaskTestCheckTestCompleted(void);
char* vTaskTestGetPrintStr(void);

// these are used by the task that wants to print
void vTaskTestPrint(char *str);

/******************************************************************************
* Description: vTaskTestInitialize(..) - start the task in the OS
* Input: 	none
* Output: 	none
* Return:	none
*******************************************************************************/
void vTaskTestInitialize(void);

/* DEFINITION OF MACROS */


#endif // _TEST_TASK

